Program SClear;

{ 
  Version: 3.2
  File:[22,310]SCLEAR.PAS
  Author: Jim Bostwick  30-Aug-83

  Last Edit:  23-JUN-1988 22:24:17 

  History: 
	 23-JUN-1988 21:58:28  - JMB PA3UTL upgrade.
	 21-NOV-83 JMB --BLANK fill vs null

  	*** NOTE ***
Part of this software is copyrighted by OMSI. Source distribution to 
Lisenced OMSI Pascal sites only.
}
{$nomain}
{[A+,B+,L-,K+,R+] Pasmat Directive }


procedure SClear(var s: packed array [low..high: integer] of char
  	);External;

{*USER*
  	-- String Package Module --
Clear string "s". For a Type "0" string, this means setting s[0] = 0.
For Type "1", the string is filled with nulls.
}

Procedure SClear;

Var i:integer;

  begin {SClear}
    if low = 0 then s[0] := chr(0)
    else for i := 1 to high do s[i] := chr(0)
  end {SClear} ;

